Batch mode (command files)
Prev | Chapter 2. Usage | Next

## Batch mode (command files)

In addition to reading arguments from the command line, GPSBabel can read directions from batch (or command) files via the `-b` option.

These files are ideal for holding long command lines, long file lists, complex filters and so on. You can use all GPSBabel options and combinations when writing such files. Nesting batch files by using the `-b` option within a batch file is supported.

Here is an example demonstrating segmenting a large command line by placing the input and filtering directives in a file called 'all_my_files'.

`gpsbabel -b all_my_files -o gdb -F all_my_tracks.gdb`

'all_my_files' could look like this:

-i gpx
-f saxony_in_summer_2004.gpx -f austria_2005.gpx
-i gdb
-f croatia_2006.gdb
-x nuketypes,waypoints,routes
-x track,pack,split,title="LOG # %Y%m%d"

Prev | Up | Next
Realtime tracking | Home | List of Options